"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlterTableNode = void 0;
const object_utils_js_1 = require("../util/object-utils.js");
const table_node_js_1 = require("./table-node.js");
/**
 * @internal
 */
exports.AlterTableNode = (0, object_utils_js_1.freeze)({
    is(node) {
        return node.kind === 'AlterTableNode';
    },
    create(table) {
        return (0, object_utils_js_1.freeze)({
            kind: 'AlterTableNode',
            table: table_node_js_1.TableNode.create(table),
        });
    },
    cloneWith(node, props) {
        return (0, object_utils_js_1.freeze)({
            ...node,
            ...props,
        });
    },
});
