import { IdentifierNode } from './identifier-node.js';
import { OperationNode } from './operation-node.js';
import { TableNode } from './table-node.js';
export declare type DropIndexNodeProps = Omit<DropIndexNode, 'kind' | 'name'>;
export interface DropIndexNode extends OperationNode {
    readonly kind: 'DropIndexNode';
    readonly name: IdentifierNode;
    readonly table?: TableNode;
    readonly ifExists?: boolean;
}
/**
 * @internal
 */
export declare const DropIndexNode: Readonly<{
    is(node: OperationNode): node is DropIndexNode;
    create(name: string, params?: DropIndexNodeProps | undefined): DropIndexNode;
    cloneWith(dropIndex: DropIndexNode, props: DropIndexNodeProps): DropIndexNode;
}>;
